package com.liquidnet.service.consumer.base.receiver.dragon;

import com.liquidnet.service.base.constant.MQConst;
import com.liquidnet.service.consumer.base.receiver.AbstractSqlRedisReceiver;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class ConsumerDragonPayReceiver extends AbstractSqlRedisReceiver {
    @Override
    protected String getRedisStreamKey() {
        return MQConst.DragonQueue.DRAGON_PAY_KEY.getKey();
    }

    @Override
    protected String getRedisStreamGroup() {
        return MQConst.DragonQueue.DRAGON_PAY_KEY.getGroup();
    }
}
